Bug 160020 - Full-duplex Gigabit can not reach gigabit at both RX/TX same time
Full-duplex Gigabit can not reach gigabit at both RX/TX same time
Status: CLOSED DUPLICATE of bug 160019
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-06-09 22:22 EDT by Robinson Tiemuqinke
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-10 00:20:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robinson Tiemuqinke 2005-06-09 22:22:42 EDT
Description of problem:
Full-duplex mode Gigabit can not reach near gigabit at both sending and 
receiving sides. Instead, the sum of sending and receiving reaches gigabit. 
The tests are ttcp tests on two HP workstation XW4200.

Case 1, only receiving, no sending.
  The sending speed is near 0MBytes/s, receiving speed is 110MB/s.

case 2, only sending, no receiving.
  The sending speed is near 110MB/s, receiving speed is near 0MB/s.

case 3, both sending and receiving at the same time.
  The sending speed is about 55MB/s, receiving at about 55MB/s.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.
Not only on Redhat Enterprise Linux, but also on Fedora Core series.

Steps to Reproduce:
1. Install Redhat Enterprise 3 or 4 onto two HP Workstation XW4200, or similar 
machines with high PCI Bus speed. and connect the builtin Broadcom network 
cards with a crossover CAT6 cable. This way exclues the LAN Switch factor.

2. run ttcp on the two machines, either as sending role, or as receiving role.

3.test all the 3 cases in the "Description of Problem" section. and the 
results will be quite similar.
Actual results:

Expected results:
  When machines' gigabit(in full-duplex gigabit mode) in sending and receiving 
data at the same time, both the sending speed and receiving speed should be 
around 110MB/s. And the SUM of them should be 220MB/s.

Additional info:

 According to HP support technician, the HP workstation XW4200 has a PCI 
EXpress bus which support 2.5GB/s data transfer. "top" commands reports that 
machine box still have 80% Idle CPU cycles.
Comment 1 Ernie Petrides 2005-06-10 00:20:18 EDT

*** This bug has been marked as a duplicate of 160019 ***

Note You need to log in before you can comment on or make changes to this bug.